(*
     Catcher! OCR Module  -  Port of JAntiCaptcha
     Copyright (C) 2010  CandiSoft

     This program is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 3 of the License, or
     (at your option) any later version.

     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
     GNU General Public License for more details.

     You should have received a copy of the GNU General Public License
     along with this program.  If not, see <http://www.gnu.org/licenses/>.
*)

library Catcher;

uses
  SysUtils,
  AntiCaptcha in 'AntiCaptcha.pas',
  JACScript in 'Configuration\JACScript.pas',
  PixelGrid in 'Pixelgrid\PixelGrid.pas',
  Utilities in 'Utils\Utilities.pas',
  PixelObject in 'PixelObject.pas',
  LetterComperator in 'LetterComperator.pas',
  Letter in 'Pixelgrid\Letter.pas',
  Captcha in 'Pixelgrid\Captcha.pas',
  untLogger in 'untLogger.pas',
  EasyCaptcha in 'Specials\EasyCaptcha.pas',
  CPoint in 'Easy\CPoint.pas',
  CSTools in 'Utils\CSTools.pas',
  //sharelinksbiz in 'Specials\sharelinksbiz.pas',
  //linksavein in 'Specials\linksavein.pas';
  netloadin in 'Specials\netloadin.pas';

{$R *.res}

var
  AntiCap: TAntiCaptcha;

procedure Init(MethodDir: PChar); stdcall;
begin
  try
    AntiCap := TAntiCaptcha.Create(MethodDir);
  except
    Logger.Severe('EXCEPTION: ' + Exception(ExceptObject).Message);
  end;
end;

function GetCaptchaCode(FileName: PChar): PChar; stdcall;
begin
  Result := PChar(AntiCap.CheckCaptcha(FileName));
end;

{$IFDEF DEBUG}
procedure ShowDebugGUI(MethodDir: PChar); stdcall;
begin
  frmGUI := TfrmGUI.Create(nil);
  frmGUI.MethodDir := MethodDir;
  frmGUI.Show;
end;
{$ENDIF}

procedure RegisterLoggingInterface(MessageOutput: TMessageOutput); stdcall;
begin
  Logger.Output := MessageOutput;
end;

procedure Destroy; stdcall;
begin
  AntiCap.Free;
end;

exports
  Init,
  GetCaptchaCode,
  {$IFDEF DEBUG}
  ShowDebugGUI,
  {$ENDIF}
  RegisterLoggingInterface,
  Destroy;

begin
end.
